Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/mate-backgrounds: new aport

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Mon, 15 Dec 2014 14:45:54 +0000

---
 testing/mate-backgrounds/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/mate-backgrounds/APKBUILD
diff --git a/testing/mate-backgrounds/APKBUILD b/testing/mate-backgrounds/APKBUILD
new file mode 100644
index 0000000..4117df6
--- /dev/null
+++ b/testing/mate-backgrounds/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: Alan Lacerda <alacerda_at_alpinelinux.org>
+# Maintainer:
+pkgname=mate-backgrounds
+pkgver=1.9.1
+pkgrel=0
+pkgdesc="Background images and data for MATE"
+url="https://github.com/mate-desktop/mate-backgrounds"
+arch="noarch"
+license="GPL2"
+depends="mate-common"
+depends_dev=""
+makedepends="$depends_dev autoconf automake intltool glib-dev"
+install=""
+subpackages="$pkgname-lang"
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./autogen.sh --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install || return 1
+}
+
+md5sums="45426a34ec0995f3c33f7fe4de807962  mate-backgrounds-1.9.1.tar.xz"
+sha256sums="29eb2931ce65e196e1ad4f58ac78ca0696051238c7b1b5638adb1409de07e1d9  mate-backgrounds-1.9.1.tar.xz"
+sha512sums="a6e56021a90885758a46f8a27d30c11689dd2bba42e18b49cd45fc49819f6bb099a737a5995127e02cbd338c4019d902e1852e1dcd6a344df1afdda12c9b9062  mate-backgrounds-1.9.1.tar.xz"
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Mon Dec 15 2014 - 14:45:54 GMT